#include "constant.h"
const int GC_fieldWidth = 400;
const int GC_fieldHeight = 300;
const QColor GC_backgroundColor = Qt::white;
const int GC_paddleRadius = 48;
const int GC_paddleDiameter = 2 * GC_paddleRadius;
const int GC_paddleHalfHeight = 24;
const int GC_leftPaddleStartAngle = 330 * 16;
// 330 means -30 degree, 16 is the scaling factor for Qt's drawChord
// Qt uses degree, not PI to express angles;
// 30 degree is asin(GC_paddleHalfHeight/GC_paddleRadius)
const int GC_rightPaddleStartAngle = 150 * 16;
const int GC_paddleSpanAngle = 60 * 16; // same for left and right
const int GC_leftPaddleCenterX = 
      - GC_paddleRadius - GC_paddleHalfHeight;
      // left end of the bounding rectangle
const int GC_rightPaddleCenterX =
      GC_fieldWidth - GC_paddleHalfHeight;
      // leftPaddleCenterX and rightPaddleCenterX are not symmetric
      // because Qt uses left upper corner for rectangles
const int GC_ballRadius = 4;
const int GC_ballPaddleRadiusSumSquare = (GC_paddleRadius + GC_ballRadius) * 
(GC_paddleRadius + GC_ballRadius);
const int GC_ballDiameter = 2 * GC_ballRadius;
const QColor GC_ballColor = Qt::red;
const QColor GC_leftPaddleColor = Qt::green;
const QColor GC_rightPaddleColor = Qt::yellow;
const int GC_updateDelay = 10;

