// userinterface.h
#ifndef _USERINTERFACE_H
#define _USERINTERFACE_H
#include <QtGui>
class PlayField;
class UserInterface : public QMainWindow
{
  Q_OBJECT
public:
  UserInterface(int argc, char * argv[]);
  ~UserInterface();
private slots:
  void startGame();
  void exitGame();
  void updatePlayField();
private:
  void createControl();
  void createStatus();
  QPushButton * ui_startButton;
  QWidget * ui_centralWidget;
  QGroupBox *ui_controlGroup;
  QGroupBox * ui_statusGroup;
  QLabel * ui_positionLabel;
  QLabel * ui_directionLabel;
  QLabel * ui_leftScoreLabel;
  QLabel * ui_rightScoreLabel;
  QLabel * ui_ballLeftLabel;
  PlayField * ui_playField;
  QTimer * ui_updateTimer;
};
#endif
