#include <QtGui>
#ifndef _CONSTANT_H_
#define _CONSTANT_H_  
// GC = global constant
extern const int GC_fieldWidth;
extern const int GC_fieldHeight;
extern const QColor GC_backgroundColor;
extern const int GC_paddleRadius;
extern const int GC_paddleDiameter; 
// defined it  so that we do not have to calculate it at run time
extern const int GC_paddleHalfHeight;
extern const int GC_leftPaddleStartAngle;
extern const int GC_rightPaddleStartAngle;
extern const int GC_leftPaddleCenterX;
extern const int GC_rightPaddleCenterX;
extern const int GC_paddleSpanAngle;
extern const int GC_ballRadius;
extern const int GC_ballPaddleRadiusSumSquare;
extern const int GC_ballDiameter;
extern const QColor GC_ballColor;
extern const QColor GC_leftPaddleColor;
extern const QColor GC_rightPaddleColor;
extern const int GC_updateDelay; 
// number of milliseconds before next update of the ball's location
// (and also everything)
#endif
